##### signal_set::signal_set (3 of 4 overloads)

Construct a signal set and add two signals.

    signal_set(
        asio::io_context & io_context,
        int signal_number_1,
        int signal_number_2);

This constructor creates a signal set and registers for two signals.

###### Parameters

io_context

  The `io_context` object that the signal set will use to dispatch handlers for any asynchronous operations performed on the set.

signal_number_1

  The first signal number to be added.

signal_number_2

  The second signal number to be added.

###### Remarks

This constructor is equivalent to performing:

    asio::signal_set signals(io_context);
    signals.add(signal_number_1);
    signals.add(signal_number_2);